function [] = errormes(str,n)

if ~isempty(findobj('Name','Error'))
   close(findobj('Name','Error'))
end

%findobj('type','uimenu'); findobj('type','uicontrol')
set([findobj('type','uimenu','Userdata','main'); findobj('type','uicontrol')],'enable','off');

set(findobj('Type','figure'),'WindowButtonMotionFcn',...
     ['if findobj(''Name'',''Error''),figure(findobj(''Name'',''Error'')),',...
      'else set([findobj(''type'',''uimenu'',''Userdata'',''main'');',...
      '          findobj(''type'',''uicontrol'')],''enable'',''on'');',...
      'set(findobj(''Type'',''figure''),''WindowButtonMotionFcn'','''');',...
      'end'])

set(findobj('Type','figure'),'WindowButtonDownFcn',...
     ['if findobj(''Name'',''Error''),disp(sprintf(''\a'')),end'])

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-150 screen(4)/2-75 300 150],'Resize','off',...
        'Name','Error');
axis off



if strcmp(str,'scalar')
  handle = text(0.5,0.6,'Introduce a scalar.');
elseif strcmp(str,'scalars')
  handle = text(0.5,0.6,'Introduce scalars.');
elseif strcmp(str,'vector')
  handle = text(0.5,0.6,'Introduce a vector.');
elseif strcmp(str,'vectors')
  handle = text(0.5,0.6,'Introduce vectors.');
elseif strcmp(str,'matrix')
  handle = text(0.5,0.6,'Introduce a matrix.');
elseif strcmp(str,'integer')
  handle = text(0.5,0.6,'Introduce integers.');
elseif strcmp(str,'data')
  handle = text(0.5,0.6,'Wrong data.');
elseif strcmp(str,'NotWellDefined')
  handle = text(0.5,0.6,'The system is not well defined yet.');
elseif strcmp(str,'number_of_iter<n')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The number of iterations must be greater than the system order.');
elseif strcmp(str,'NotAll')
  set(fig,'Position',[screen(3)/2-200 screen(4)/2-75 400 150])
  handle = text(0.5,0.6,'The parameters are not specified at all.');
elseif strcmp(str,'NotEqual')
  set(fig,'Position',[screen(3)/2-300 screen(4)/2-75 600 150])
  handle = text(0.5,0.6,'The number of "a" coefficients must be equal with the number of "b" coefficients.');
elseif strcmp(str,'NotContr')
  handle = text(0.5,0.6,'The system is not controllable.');
elseif strcmp(str,'alpha<0')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The "alpha" parameter should be greater or equal 0.');
elseif strcmp(str,'mu')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The "mu" parameter should belong to the interval (0,2).');
elseif strcmp(str,'NotCorrespond')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The initial estimate should correspond to a controllable system.');
elseif strcmp(str,'NumberCoefficients')
  set(fig,'Position',[screen(3)/2-200 screen(4)/2-75 400 150])
  string = sprintf('The number of coefficients must be equal %d.',n);
  handle = text(0.5,0.6,string);
elseif strcmp(str,'Increase_number')
  handle = text(0.5,0.6,'Increase the number of iterations.');
elseif strcmp(str,'combi')
  set(fig,'Position',[screen(3)/2-300 screen(4)/2-75 600 150])
  handle = text(0.5,0.6,'The number of the selected variables within a group must be equal at least 2.');
elseif strcmp(str,'Win<n')
  set(fig,'Position',[screen(3)/2-300 screen(4)/2-75 600 150])
  string=sprintf('The number of coefficients of the introduced vektor(s) must be greater equal %d.',n);
  handle = text(0.5,0.6,string);
elseif strcmp(str,'Win>n')
  set(fig,'Position',[screen(3)/2-300 screen(4)/2-75 600 150])
  string=sprintf('The number of coefficients of the introduced vektor(s) must be less equal %d.',n);
  handle = text(0.5,0.6,string);
elseif strcmp(str,'Win<1,n>')
  string=sprintf('Introduce digits from the interval <1,%d>.',n);
  handle = text(0.5,0.6,string);
elseif strcmp(str,'NumberCoeff_Roots')
  set(fig,'Position',[screen(3)/2-200 screen(4)/2-75 400 150])
  string = sprintf('The number of coefficients or roots must be equal %d.',n);
  handle = text(0.5,0.6,string);
elseif strcmp(str,'tile_posit')
  set(fig,'Position',[screen(3)/2-200 screen(4)/2-75 400 150])
  handle = text(0.5,0.6,'The number of the tiled positions is too small.');
elseif strcmp(str,'rho_scalar')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The "rho" parameter must be a scalar from the interval (0,1).');
elseif strcmp(str,'fil_vector')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'Coefficients or roots of the filter polynomial must form a vector.');
elseif strcmp(str,'Not_pp')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The loaded data are not for a pole placement algorithm.');
elseif strcmp(str,'Set_Sys')
  set(fig,'Position',[screen(3)/2-200 screen(4)/2-75 400 150])
  handle = text(0.5,0.6,'Set at least the unknown system parameters.');
elseif strcmp(str,'P_not_pos')
  handle = text(0.5,0.6,'The matrix P is not positive definite.');
elseif strcmp(str,'P_size')
  string = sprintf('P should be an %d-by-%d matrix.',n,n);
  handle = text(0.5,0.6,string);
elseif strcmp(str,'Is_pp')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'There is still an "Adaptive Pole Assignment" window open.');
elseif strcmp(str,'Is_mr')
  set(fig,'Position',[screen(3)/2-275 screen(4)/2-75 550 150])
  handle = text(0.5,0.6,'There is still a "Direct Adaptive Model Reference Control" window open.');
elseif strcmp(str,'Is_ucI')
  set(fig,'Position',[screen(3)/2-300 screen(4)/2-75 600 150])
  handle = text(0.5,0.6,'There is still a "The sign of the high frequency gain is known." window open.');
elseif strcmp(str,'Is_ucII')
  set(fig,'Position',[screen(3)/2-300 screen(4)/2-75 600 150])
  handle = text(0.5,0.6,'There is still a "The sign of the high frequency gain is unknown." window open.');
elseif strcmp(str,'Not_mr')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The loaded data are not for a model reference algorithm.');

% Direct Adaptive Model Reference Control

elseif strcmp(str,'bm_bar_scalar')
  handle = text(0.5,0.6,'"bm_bar" should be a scalar.');
elseif strcmp(str,'bm_bar<n')
  handle = text(0.5,0.6,['Introduce "bm_bar" >' num2str(n) '.']);
elseif strcmp(str,'b_stable')
  handle = text(0.5,0.6,'"b" polynomial should be stable.');
elseif strcmp(str,'Not-min')
  handle = text(0.5,0.6,'The system is not minimum phase.');
elseif strcmp(str,'stable')
  handle = text(0.5,0.6,'Introduce a stable polynomial.');
elseif strcmp(str,'b_zero')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'"b" polynomial should have at least one non-zero element.');
elseif strcmp(str,'b_l_coeff')
  set(fig,'Position',[screen(3)/2-275 screen(4)/2-75 550 150])
  handle = text(0.5,0.6,'The leading coefficient of "b" polynomial should be greater than zero.');
elseif strcmp(str,'c_r_scalar')
  handle = text(0.5,0.6,'"c_r" parameter should be a scalar.');
elseif strcmp(str,'NumberCoeff_c_u')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  string = sprintf('The number of coefficients of c_u and c_y must be equal %d.',n);
  handle = text(0.5,0.6,string);
elseif strcmp(str,'NumberCoeff_same')
  set(fig,'Position',[screen(3)/2-275 screen(4)/2-75 550 150])
  string = sprintf('The number of coefficients of the introduced vectors must be the same.');
  handle = text(0.5,0.6,string);

% Universal Controllers

elseif strcmp(str,'time<0')
  set(fig,'Position',[screen(3)/2-225 screen(4)/2-75 450 150])
  handle = text(0.5,0.6,'The length of the simulation should be greater than 0.');
elseif strcmp(str,'b_pos')
  handle = text(0.5,0.6,'"b" parameter should be positive.');
elseif strcmp(str,'b_not_0')
  set(fig,'Position',[screen(3)/2-225 screen(4)/2-75 450 150])
  handle = text(0.5,0.6,'"b" parameter equals 0. The system is not controllable.');
elseif strcmp(str,'Not_uc1')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The loaded data are not for an universal control algorithm, case I.');
elseif strcmp(str,'Not_uc2')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150])
  handle = text(0.5,0.6,'The loaded data are not for an universal control algorithm, case II.');
elseif strcmp(str,'tolerance')
  set(fig,'Position',[screen(3)/2-200 screen(4)/2-75 400 150])
  handle = text(0.5,0.6,'The desired accuracy should be greater than 0.');
elseif strcmp(str,'NAN')
  set(fig,'Position',[screen(3)/2-300 screen(4)/2-75 600 250])
  handle(1) = text(0.5,0.8,'Some variables have their elements too close to the smallest or');
  handle(2) = text(0.5,0.7,'to the largest positive floating point number available in Matlab.');
  handle(3) = text(0.5,0.5,'The results of the simulation may be incorrect.');
  handle(4) = text(0.5,0.3,'Run the simulation with other initial values.');

end

set(handle,'HorizontalAlignment','center')

pos = get(fig,'Position');
uicontrol(fig,'Style','Pushbutton','Position',[pos(3)/2-20 20 40 20],...
          'String','OK','Callback','close(gcf)')
