function [] = message(str)

if ~isempty(findobj('Name','Information'))
   close(findobj('Name','Information'))
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-150 screen(4)/2-75 300 150],'Resize','off',...
        'Name','Information');
axis off

set(findobj('Type','figure'),'WindowButtonMotionFcn',['if findobj(''Name'',''Information''),',...
                                 'figure(findobj(''Name'',''Information'')),end'])


if strcmp(str,'IsContr')
  handle = text(0.5,0.6,'The system is controllable.');
elseif strcmp(str,'IsMinPhase')
  set(fig,'Position',[screen(3)/2-200 screen(4)/2-75 400 150])
  handle = text(0.5,0.6,'The system is controllable and minimum phase.');
elseif strcmp(str,'FilIsStable')
  handle = text(0.5,0.6,'The filter polynomial is stable.');
elseif strcmp(str,'P_pos')
  handle = text(0.5,0.6,'The matrix P is positive definite.');
end

set(handle,'HorizontalAlignment','center')

pos = get(fig,'Position');
uicontrol(fig,'Style','Pushbutton','Position',[pos(3)/2-20 20 40 20],...
          'String','OK','Callback','close(gcf)')
