function [] = set_lms(LMS_par)
% Pawel Stadnik August 29 1997
% All Rights Reserved

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-200 screen(4)/2-100 400 200],'Resize','off',...
        'Name','Reqursive Least Square');
axis off


handle(1) = text(-0.1,0.6,'The "mu" parameter (0 < mu < 2).');
handle(2) = text(-0.1,0.4,'mu = ');
set(handle,'HorizontalAlignment','left');
uicontrol(fig,'Style','edit','Position',[70 80 100 20],'UserData','mu_LMS',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
if size(LMS_par)==[1 1]
  set(findobj('UserData','mu_LMS'),'String',num2str(LMS_par));
else 
  set(findobj('UserData','mu_LMS'),'String',[]);
end

call = ['value=str2num(get(findobj(''UserData'',''mu_LMS''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'elseif value <= 0 | value >= 2,errormes(''mu''),',...
        'else LMS_par=value;close(gcf),ready(4)=1;',...
        '  if length(ready)==8 check_pp;else check_mr,end,',...
        '  set(findobj(''Label'',''Least Mean Square''),''Checked'',''on''),',...
        '  set(findobj(''Label'',''with LMS algorithm''),''Enable'',''on''),',...
        'end,clear value,'];

uicontrol(fig,'Style','pushbutton','Position',[300 125 60 20],...
              'String','OK','Callback',call)

uicontrol(fig,'Style','pushbutton','Position',[300 75 60 20],...
              'String','Cancel','UserData',LMS_par,...
              'Callback','LMS_par=get(gco,''UserData'');close(gcf);')

clear handle call fig