function [] =cascade(casc)
% Pawel Stadnik August 30 1997
% All Rights Reserved


if ~isempty(findobj('Name','Cascade'))
   figure(findobj('Name','Cascade'))
   return
end
if ~isempty(findobj('Name','Adaptive Pole Assignment'))
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
             'Position',[screen(3)/2-300 screen(4)/2-150 600 300],...
             'Resize','off','Name','Cascade');
  axis off

  handle = text(-0.1,0.9,'The plots of selected magnitudes will be displayed in a cascade:');
  set(handle,'HorizontalAlignment','left')

  uicontrol('Style','checkbox','Position',[50 200 150 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',casc(1),...
            'Callback','casc(1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[50 150 150 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Predicted output','Value',casc(2),...
            'Callback','casc(2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[50 100 150 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',casc(3),...
            'Callback','casc(3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[50 50 150 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Error','Value',casc(4),...
            'Callback','casc(4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 200 200 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimation error','Value',casc(5),...
            'Callback','casc(5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 150 200 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',casc(6),...
            'Callback','casc(6)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 100 200 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimates of "a" parameters','Value',casc(7),...
            'Callback','casc(7)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 50 200 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimates of "b" parameters','Value',casc(8),...
            'Callback','casc(8)=get(gco,(''Value''));')

uicontrol(fig,'Style','Pushbutton','Position',[500 175 75 20],...
          'String','OK',...
          'Callback',['close(gcf),if ~isempty(find(casc)),set(findobj(''Label'',''Cascade''),''Checked'',''on''),',...
          'ready(8)=1;check_pp;else set(findobj(''Label'',''Cascade''),''Checked'',''off''),',...
          'check_pp,end'])

uicontrol(fig,'Style','Pushbutton','Position',[500 125 75 20],...
          'String','Cancel','UserData',casc,...
          'Callback','casc = get(gco,''UserData'');close(gcf)')
clear fig screen handle
end











