pom = get(findobj('Label','Graphics'),'Child');
if strcmp(get(pom(1),'Checked'),'off') & strcmp(get(pom(2),'Checked'),'off') & ...
   strcmp(get(pom(3),'Checked'),'off') & strcmp(get(pom(4),'Checked'),'off')
   ready(10)=0;
end
clear pom

if (~isempty(init_est)) & (~isempty(init_st))
  set(findobj('Label','Initial values'),'Checked','on')
end

if (~isempty(H_polynomial)) & (~isempty(init_X))
  set(findobj('Label','Filter'),'Checked','on')
end

if (~isempty(E_polynomial)) & (which_signal~=0)
  set(findobj('Label','Reference model'),'Checked','on')
end

if size(RLS_par)==[2*n+1 2*n+1]
   set(findobj('Label','with RLS algorithm'),'Enable','on')
   ready(4)=1;
else
   set(findobj('Label','with RLS algorithm'),'Enable','off')
end
if size(NLMS_par)==[1 2]
   set(findobj('Label','with NLMS algorithm'),'Enable','on')
   ready(4)=1;
else
   set(findobj('Label','with NLMS algorithm'),'Enable','off')
end
if size(LMS_par)==[1 1]
   set(findobj('Label','with LMS algorithm'),'Enable','on')
   ready(4)=1;
else
   set(findobj('Label','with LMS algorithm'),'Enable','off')
end
if n>=number_of_iter
  set(findobj('Label','Number of iterations'),'Checked','off')
  ready(9)=0;
end


if ready==[1 1 1 1 1 1 1 1 1 1]
   set(findobj('Label','Start simulation'),'Enable','on')
end

if ~isempty(findobj('Name','Direct Adaptive Model Reference Control'))
   figure(findobj('Name','Direct Adaptive Model Reference Control'))
   cla
   asp = [ready(1:3), ready(5:8)];
   id_alg = ready(4);
   gr = ready(10);
   sim = ready(9);
   if asp == [1 1 1 1 1 1 1]
     han(1) = text(-0.1,0.8,'Adaptive system parameters: set');
   else
     han(1) = text(-0.1,0.8,'Adaptive system parameters: not set');
   end
   if id_alg == 1
     han(2) = text(-0.1,0.6,'Identification algorithm: set');
   else
     han(2) = text(-0.1,0.6,'Identification algorithm: not set');
   end
   if gr == 1
     han(3) = text(-0.1,0.4,'Graphics: set');
   else
     han(3) = text(-0.1,0.4,'Graphics: not set');
   end
   if sim == 1
     han(4) = text(-0.1,0.2,'Simulation: set');
   else
     han(4) = text(-0.1,0.2,'Simulation: not set');
   end
   set(han,'HorizontalAlignment','left','FontSize',10,'Color',[0.9 0.9 0.9]);
   axis off
   clear asp gr sim han id_alg
end

