% Pawel Stadnik July 29 1996
% All Rights Reserved

save tmp_$$$.mat Identity Sys n n_r bm_bar E_polynomial H_polynomial init_X ...
                 init_est init_st which_signal signal_par number_of_iter ...
                 RLS_par NLMS_par LMS_par threshold casc ...
                 window combination phases ready

[name,pathname] = uigetfile('*.mat','Load');
if isstr(name)
  filename = [pathname name];
  eval(['load ',filename]);
  clear filename
  if strcmp(Identity,'Model Reference')==1
    set(findobj('Label','Unknown system'),'Checked','on')
    ready(1)=1;n=length(Sys)/2;
    set(findobj('Label','Initial values'),'enable','on')
    set(findobj('Label','Filter'),'enable','on')
    set(findobj('Label','Reference model'),'enable','on')

    if ~isempty(H_polynomial)
        set(findobj('Label','Polynomial H'),'Checked','on')
        ready(2)= 1;
    else
        set(findobj('Label','Polynomial H'),'Checked','off')
        ready(2)= 0;
    end     
    if ~isempty(init_X)
        set(findobj('Label','Initial state'),'Checked','on')
        ready(3)= 1;
    else
        set(findobj('Label','Initial state'),'Checked','off')
        ready(3)= 0;
    end     
    if ~isempty(E_polynomial)
        set(findobj('Label','Reference model polynomial'),'Checked','on')
        ready(5)= 1;
    else
        set(findobj('Label','Reference model polynomial'),'Checked','off')
        ready(5)= 0;
    end 
    if  which_signal~=0
        set(findobj('Label','Reference signal'),'Checked','on')
        ready(6)= 1;
        if which_signal==1
          set(findobj('Label','Constant'),'Checked','on')
        elseif which_signal==2
          set(findobj('Label','White noise'),'Checked','on')
        elseif which_signal==3
          set(findobj('Label','Harmonic'),'Checked','on')
        elseif which_signal==4
          set(findobj('Label','Random walk'),'Checked','on')
        elseif which_signal==5
          set(findobj('Label','Saw'),'Checked','on')
        end
    else
        set(findobj('Label','Reference signal'),'Checked','off')
        ready(6)= 0;
    end    

    if ~isempty(init_est)
        set(findobj('Label','Initial estimates of the controller parameters'),'Checked','on')
        ready(7)= 1;
    else
        set(findobj('Label','Initial estimates of the controller parameters'),'Checked','off')
        ready(7)= 0;
    end     
    if ~isempty(init_st)
        set(findobj('Label','An initial state of the system'),'Checked','on')
        ready(8)= 1;
    else
        set(findobj('Label','An initial state of the system'),'Checked','off')
        ready(8)= 0;
    end     
    if ~isempty(number_of_iter)
        set(findobj('Label','Number of iterations'),'Checked','on','Enable','on')
        ready(9)= 1;
    else
        set(findobj('Label','Number of iterations'),'Checked','off','Enable','on')
        ready(9)= 0;
    end     

    if ~isempty(RLS_par)
        set(findobj('Label','Recursive Least Square'),'Checked','on','Enable','on')
        ready(4)= 1;
    else
        set(findobj('Label','Recursive Least Square'),'Checked','off','Enable','on')
    end     
    if ~isempty(NLMS_par)
        set(findobj('Label','Normalized Least Mean Square'),'Checked','on')
        ready(4)= 1;
    else
        set(findobj('Label','Normalized Least Mean Square'),'Checked','off')
    end     
    if ~isempty(LMS_par)
        set(findobj('Label','Least Mean Square'),'Checked','on')
        ready(4)= 1;
    else
        set(findobj('Label','Least Mean Square'),'Checked','off')
    end     
    if isempty(RLS_par) & isempty(NLMS_par) & isempty(LMS_par)
       ready(4)=0;
    end

    if any(casc)
        set(findobj('Label','Cascade'),'Checked','on')
        ready(10)= 1;
    else
        set(findobj('Label','Cascade'),'Checked','off')
    end     
    if any(any(window))
        set(findobj('Label','Tile'),'Checked','on')
        ready(10)= 1;
    else
        set(findobj('Label','Tile'),'Checked','off')
    end     
    if any(any(combination))
        set(findobj('Label','Combination'),'Checked','on')
        ready(10)= 1;
    else
        set(findobj('Label','Combination'),'Checked','off')
    end     
    if any(any(phases))
        set(findobj('Label','Phase portraits'),'Checked','on','Enable','on')
        ready(10)= 1;
    else
        set(findobj('Label','Phase portraits'),'Checked','off','Enable','on')
    end     
    if ~any(casc) & ~any(any(window)) & ~any(any(combination)) & ~any(any(phases))
       ready(10)=0;
    end
    if ~isempty(findobj('Name','Introduced parameters gallery'))
      show_mr;
    end
    check_mr;
  else
    errormes('Not_mr')
    clear
    load tmp_$$$.mat
  end
end         

clear name pathname
delete tmp_$$$.mat

