% Pawel Stadnik July 29 1996
% All Rights Reserved

save tmp_$$$.mat Identity a b k0 y0 time tol casc window combination ready 

[name,pathname] = uigetfile('*.mat','Load');

if isstr(name)
   filename = [pathname name];
   eval(['load ',filename]);
   clear filename
   if strcmp(Identity,'Universal Control: case I')==1
     if ~isempty(a)
       set(findobj('Label','Unknown system'),'Checked','on')
       ready(1)=1;
     else
       set(findobj('Label','Unknown system'),'Checked','off')
       ready(1)=0;
     end
     if ~isempty(y0)
         set(findobj('Label','Initial state'),'Checked','on','Enable','on')
         ready(2)= 1;
     else
         set(findobj('Label','Initial state'),'Checked','off','Enable','on')
         ready(2)= 0;
     end     
     if ~isempty(k0)
        set(findobj('Label','Initial value of k'),'Checked','on','Enable','on')
        ready(3)= 1;
     else
        set(findobj('Label','Initial value of k'),'Checked','off','Enable','on')
        ready(3)= 0;
     end     
     if ~isempty(time)
        set(findobj('Label','Length of simulation'),'Checked','on','Enable','on')
        ready(4)= 1;
     else
        set(findobj('Label','Length of simulation'),'Checked','off','Enable','on')
        ready(4)= 0;
     end     
     if any(casc)
        set(findobj('Label','Cascade'),'Checked','on')
        ready(5)= 1;
     else
        set(findobj('Label','Cascade'),'Checked','off')
     end     
     if any(any(window))
        set(findobj('Label','Tile'),'Checked','on')
        ready(5)= 1;
     else
        set(findobj('Label','Tile'),'Checked','off')
     end     
     if any(any(combination))
        set(findobj('Label','Combination'),'Checked','on')
        ready(5)= 1;
     else
        set(findobj('Label','Combination'),'Checked','off')
     end     
     if ~any(casc) & ~any(any(window)) & ~any(any(combination))
       ready(5)=0;
     end
     check_u1;
   else
    errormes('Not_uc1')
    clear
    load tmp_$$$.mat
  end
end         

clear name pathname
delete tmp_$$$.mat
