function [] = set_nlms(NLMS_par)
% Pawel Stadnik August 29 1997
% All Rights Reserved

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-250 screen(4)/2-150 500 300],'Resize','off',...
        'Name','Normalized Lest Mean Square');
axis off

handle(1) = text(-0.1,0.85,'The "alpha" parameter (alpha >= 0).');
handle(2) = text(-0.1,0.7,'alpha = ');
set(handle,'HorizontalAlignment','left');
uicontrol(fig,'Style','edit','Position',[90 195 100 20],'UserData','alpha',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);

handle(1) = text(-0.1,0.35,'The "mu" parameter (0 < mu < 2).');
handle(2) = text(-0.1,0.2,'mu = ');
set(handle,'HorizontalAlignment','left');
uicontrol(fig,'Style','edit','Position',[90 70 100 20],'UserData','mu',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
if size(NLMS_par)==[1 2]
  set(findobj('UserData','alpha'),'String',num2str(NLMS_par(1)));
  set(findobj('UserData','mu'),'String',num2str(NLMS_par(2)));
else 
  set(findobj('UserData','alpha'),'String','');
  set(findobj('UserData','mu'),'String','');
end

call = ['value1=str2num(get(findobj(''UserData'',''alpha''),''String''));',...
        'value2=str2num(get(findobj(''UserData'',''mu''),''String''));',...
        'if isempty(value1) | isempty(value2),errormes(''data''),',...
        'elseif length(value1)>1 | length(value2)>1,errormes(''scalar'');',...
        'elseif value1<0,errormes(''alpha<0''),',...
        'elseif value2 <= 0 | value2 >= 2,errormes(''mu''),',...
        'else NLMS_par=[value1 value2];close(gcf),ready(4)=1;',...
        '  if length(ready)==8 check_pp;else check_mr,end,',...
        '  set(findobj(''Label'',''Normalized Least Mean Square''),''Checked'',''on''),',...
        '  set(findobj(''Label'',''with NLMS algorithm''),''Enable'',''on''),',...
        'end,clear value1 value2,'];

uicontrol(fig,'Style','pushbutton','Position',[400 175 60 20],...
              'String','OK','Callback',call)

uicontrol(fig,'Style','pushbutton','Position',[400 125 60 20],...
              'String','Cancel','UserData',NLMS_par,...
              'Callback','NLMS_par=get(gco,''UserData'');close(gcf);')

clear handle call fig screen