if ~isempty(findobj('Name','Introduced parameters gallery'))
   figure(findobj('Name','Introduced parameters gallery'))
   cla
else
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[1 1 400 350],'Resize','off',...
        'Name','Introduced parameters gallery');
  axis off
  uicontrol(fig,'Style','Pushbutton','Position',[320 20 70 20],...
          'String','Close','Callback','close(gcf)')
end

if ~isempty(a)
  text(-0.1,1,'The unknown system parameters:');
  text(-0.1,0.93,['a = ' num2str(a)]);
  text(-0.1,0.86,['b = ' num2str(b)]);
else
  text(-0.1,1,'The unknown system parameters: not set.');
end

if ~isempty(y0)
  text(-0.1,0.7,'The initial state:');
  text(-0.1,0.63,['y(0) = ' num2str(y0)]);
else
  text(-0.1,0.7,'The initial state: not set.');
end

if ~isempty(k0)
  text(-0.1,0.5,'The initial value of k:');
  text(-0.1,0.43,['k(0) = ' num2str(k0)]);
else
  text(-0.1,0.5,'The initial value of k: not set.');
end

if ~isempty(time)
   text(-0.1,0.25,['The length of the simulation: ' num2str(time) 's.'])
else
   text(-0.1,0.25,'The length of the simulation: not set.')
end
if ~isempty(switch_fun)
   text(-0.1,0.1,['The switching function: ' switch_fun])
else
   text(-0.1,0.1,'The switching function: not set.')
end

handle = findobj(gcf,'type','text');
set(handle,'HorizontalAlignment','left')


clear handle fig screen 
