function [] = var_mr(y,y_r,u,model_error,r,da_in_ratio,rs_ou_ratio)

if ~isempty(findobj('Name','Calculated variables gallery'))
  close(findobj('Name','Calculated variables gallery'))
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[screen(3)/2-300 screen(4)/2-225 600 450],'Resize','off',...
        'Name','Calculated variables gallery');
axis off


y = y(:)';
y_r = y_r(:)';
u = u(:)';
model_error = model_error(:)';
r = r(:)';
da_in_ratio = da_in_ratio(:)';
rs_ou_ratio = rs_ou_ratio(:)';

call = ['set(findobj(''UserData'',''popup''),''Value'',get(gco,''Value'')),',...
        'set(findobj(gcf,''Style'',''edit''),''String'',get(gco,''Value''))'];

handle = text(0.1,1,'Output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[50 380 150 20],...
          'String',y,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.1,0.75,'Reference output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[50 280 150 20],...
          'String',y_r,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',call);


handle = text(0.47,1,'Model error');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[225 380 150 20],...
          'String',model_error,'UserData','popup','BackGroundColor',[1 1 1],...
          'CallBack',call);

handle = text(0.47,0.75,'Input');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[225 280 150 20],...
          'String',u,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',call);


handle = text(0.86,1,'Reference signal');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[400 380 150 20],...
          'String',r,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',call);


handle = text(0.86,0.75,'Desired/actual input ratio');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[400 280 150 20],...
          'String',da_in_ratio,'UserData','popup','BackGroundColor',[1 1 1],...
          'CallBack',call);

handle = text(0.5,0.48,'Reference/system output ratio');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[225 180 150 20],...
          'String',rs_ou_ratio,'UserData','popup','BackGroundColor',[1 1 1],...
          'CallBack',call);

handle = text(0.47,0.25,'Iteration');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','edit','Position',[270 100 60 20],'String',1,...
          'BackGroundColor',[1 1 1],'Callback',...
          'set(findobj(''UserData'',''popup''),''Value'',str2num(get(gco,''string''))),')

uicontrol('Style','Pushbutton','String','Close',...
          'Position',[270 30 60 20],...
          'Callback','close(gcf)')