function [] = var_pp(y,y_est,u,e,est_error,da_in_ratio)

if ~isempty(findobj('Name','Calculated variables gallery'))
  close(findobj('Name','Calculated variables gallery'))
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[screen(3)/2-300 screen(4)/2-175 600 350],'Resize','off',...
        'Name','Calculated variables gallery');
axis off


y = y(:)';
y_est = y_est(:)';
u = u(:)';
e = e(:)';
est_error = est_error(:)';
da_in_ratio = da_in_ratio(:)';

call = ['set(findobj(''UserData'',''popup''),''Value'',get(gco,''Value'')),',...
        'set(findobj(gcf,''Style'',''edit''),''String'',get(gco,''Value''))'];

handle = text(0.1,1,'Output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[50 280 150 20],...
          'String',y,'Userdata','popup','BackGroundColor',[1 1 1],'CallBack',call);
          

handle = text(0.1,0.65,'Predicted output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[50 180 150 20],...
          'String',y_est,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.5,1,'Input');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[225 280 150 20],...
          'String',u,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.5,0.65,'Error');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[225 180 150 20],...
          'String',e,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.85,1,'Estimation error');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[400 280 150 20],...
          'String',est_error,'UserData','popup',...
          'BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.85,0.65,'Desired/actual input ratio');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[400 180 150 20],...
          'String',da_in_ratio,'UserData','popup',...
          'BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.47,0.37,'Iteration');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','edit','Position',[270 100 60 20],'String',1,...
          'BackGroundColor',[1 1 1],'Callback',...
          'set(findobj(''UserData'',''popup''),''Value'',str2num(get(gco,''string''))),')

uicontrol('Style','Pushbutton','String','Close',...
          'Position',[260 20 80 20],...
          'Callback','close(gcf)')