function [] = var_pp(y,u,k)

if ~isempty(findobj('Name','Calculated variables gallery'))
  close(findobj('Name','Calculated variables gallery'))
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[screen(3)/2-250 screen(4)/2-100 500 200],'Resize','off',...
        'Name','Calculated variables gallery');
axis off


y = y(:)';
u = u(:)';
k = k(:)';

handle = text(0.1,0.7,'Output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[30 100 140 20],...
          'String',y,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',...
          'set(findobj(''UserData'',''popup''),''Value'',get(gco,''Value''))');

handle = text(0.5,0.7,'Input');
set(handle,'HorizontalAlignment','center') 	 	 
uicontrol('Style','popupmenu','Position',[180 100 140 20],...
          'String',u,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',...
          'set(findobj(''UserData'',''popup''),''Value'',get(gco,''Value''))');

handle = text(0.85,0.7,'k');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','popupmenu','Position',[330 100 140 20],...
          'String',k,'UserData','popup','BackGroundColor',[1 1 1],'CallBack',...
          'set(findobj(''UserData'',''popup''),''Value'',get(gco,''Value''))');


uicontrol('Style','Pushbutton','String','Close',...
          'Position',[210 20 80 20],...
          'Callback','close(gcf)')